PHP K�sikirja
Edellinen |  | Seuraava

# DOMDocument->getElementsByTagName()

DOMDocument->getElementsByTagName() -- Searches for all elements with given tag name

## Description

class DOMDocument {
DOMNodeList getElementsByTagName ( string name )
}

This function returns a new instance of class DOMNodeList containing the elements with a given tag name.

## Parameters

name

  The name of the tag to match on. The special value * matches all tags.

## Return values

A new DOMNodeList object containing all the matched elements.

## See Also

DOMDocument->getElementsByTagNameNS()

Edellinen | Alkuun | Seuraava
DOMDocument->getElementById() | Ylös | DOMDocument->getElementsByTagNameNS()